Module keypoints

## Detailed Description

# Overview

The pcl_keypoints library contains implementations of two point cloud keypoint detection algorithms. Keypoints (also referred to as interest points) are points in an image or point cloud that are stable, distinctive, and can be identified using a well-defined detection criterion. Typically, the number of interest points in a point cloud will be much smaller than the total number of points in the cloud, and when used in combination with local feature descriptors at each keypoint, the keypoints and descriptors can be used to form a compact—yet descriptive—representation of the original data.

# Requirements

- common
- search
- kdtree
- octree
- range_image
- features
- filters

## Classes

class | pcl::UniformSampling< PointT >
| UniformSampling assembles a local 3D grid over a given PointCloud, and downsamples + filters the data. More...
class | pcl::keypoints::agast::AbstractAgastDetector
| Abstract detector class for AGAST corner point detectors. More...
class | pcl::keypoints::agast::AgastDetector7_12s
| Detector class for AGAST corner point detector (7_12s). More...
class | pcl::keypoints::agast::AgastDetector5_8
| Detector class for AGAST corner point detector (5_8). More...
class | pcl::keypoints::agast::OastDetector9_16
| Detector class for AGAST corner point detector (OAST 9_16). More...
class | pcl::AgastKeypoint2DBase< PointInT, PointOutT, IntensityT >
| Detects 2D AGAST corner points. More...
class | pcl::AgastKeypoint2D< PointInT, PointOutT >
| Detects 2D AGAST corner points. More...
class | pcl::AgastKeypoint2D< pcl::PointXYZ, pcl::PointUV >
| Detects 2D AGAST corner points. More...
class | pcl::BriskKeypoint2D< PointInT, PointOutT, IntensityT >
| Detects BRISK interest points based on the original code and paper reference by. More...
class | pcl::HarrisKeypoint2D< PointInT, PointOutT, IntensityT >
| HarrisKeypoint2D detects Harris corners family points. More...
class | pcl::HarrisKeypoint3D< PointInT, PointOutT, NormalT >
| HarrisKeypoint3D uses the idea of 2D Harris keypoints, but instead of using image gradients, it uses surface normals. More...
class | pcl::HarrisKeypoint6D< PointInT, PointOutT, NormalT >
| Keypoint detector for detecting corners in 3D (XYZ), 2D (intensity) AND mixed versions of these. More...
class | pcl::ISSKeypoint3D< PointInT, PointOutT, NormalT >
| ISSKeypoint3D detects the Intrinsic Shape Signatures keypoints for a given point cloud. More...
class | pcl::Keypoint< PointInT, PointOutT >
| Keypoint represents the base class for key points. More...
class | pcl::NarfKeypoint
| NARF (Normal Aligned Radial Feature) keypoints. More...
class | pcl::SIFTKeypoint< PointInT, PointOutT >
| SIFTKeypoint detects the Scale Invariant Feature Transform keypoints for a given point cloud dataset containing points and intensity. More...
class | pcl::SUSANKeypoint< PointInT, PointOutT, NormalT, IntensityT >
| SUSANKeypoint implements a RGB-D extension of the SUSAN detector including normal directions variation in top of intensity variation. More...
class | pcl::TrajkovicKeypoint2D< PointInT, PointOutT, IntensityT >
| TrajkovicKeypoint2D implements Trajkovic and Hedley corner detector on organized pooint cloud using intensity information. More...
class | pcl::TrajkovicKeypoint3D< PointInT, PointOutT, NormalT >
| TrajkovicKeypoint3D implements Trajkovic and Hedley corner detector on point cloud using geometric information. More...

## Functions

std::ostream & | pcl::operator<< (std::ostream &os, const NarfKeypoint::Parameters &p)

## Function Documentation

## operator<<()

std::ostream& pcl::operator<< | ( | std::ostream & | os,
|  | const NarfKeypoint::Parameters & | p
| ) |  |

inline

Definition at line 196 of file narf_keypoint.h.

References pcl::NarfKeypoint::Parameters::distance_for_additional_points, pcl::NarfKeypoint::Parameters::min_distance_between_interest_points, pcl::NarfKeypoint::Parameters::min_interest_value, PVARC, PVARN, and pcl::NarfKeypoint::Parameters::support_size.